<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Book Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_book.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_book-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Book Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="class_library.html" title="model of library with users and books ">Library</a> book with author, ISBN and status.  
 <a href="class_book.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_book_8h_source.html">Book.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Book:</div>
<div class="dyncontent">
<div class="center"><img src="class_book__inherit__graph.png" border="0" usemap="#_book_inherit__map" alt="Inheritance graph"/></div>
<map name="_book_inherit__map" id="_book_inherit__map">
<area shape="rect" id="node2" href="class_item.html" title="general item to buy with ID " alt="" coords="7,5,55,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Book:</div>
<div class="dyncontent">
<div class="center"><img src="class_book__coll__graph.png" border="0" usemap="#_book_coll__map" alt="Collaboration graph"/></div>
<map name="_book_coll__map" id="_book_coll__map">
<area shape="rect" id="node2" href="class_item.html" title="general item to buy with ID " alt="" coords="7,5,55,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abef10101f474f12e17fc49a6eeb5b307"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#abef10101f474f12e17fc49a6eeb5b307">Book</a> (const std::string isbnCode, std::string title, std::string description, bool isAvailable=true, bool isBooked=false)</td></tr>
<tr class="memdesc:abef10101f474f12e17fc49a6eeb5b307"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> new library book with initial status.  <a href="#abef10101f474f12e17fc49a6eeb5b307">More...</a><br /></td></tr>
<tr class="separator:abef10101f474f12e17fc49a6eeb5b307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ddc31c79e18d2349e4ff93b2ea0b8b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a23ddc31c79e18d2349e4ff93b2ea0b8b">Book</a> (const std::string isbnCode)</td></tr>
<tr class="memdesc:a23ddc31c79e18d2349e4ff93b2ea0b8b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> new book with ISBN code and default features.  <a href="#a23ddc31c79e18d2349e4ff93b2ea0b8b">More...</a><br /></td></tr>
<tr class="separator:a23ddc31c79e18d2349e4ff93b2ea0b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f0835cfd79b4ed1e17d9de33973406e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a6f0835cfd79b4ed1e17d9de33973406e">Book</a> (const <a class="el" href="class_book.html">Book</a> &amp;b)</td></tr>
<tr class="memdesc:a6f0835cfd79b4ed1e17d9de33973406e"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> deep copy book.  <a href="#a6f0835cfd79b4ed1e17d9de33973406e">More...</a><br /></td></tr>
<tr class="separator:a6f0835cfd79b4ed1e17d9de33973406e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fcc6a13174d31ae9d6789beffbdae60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7fcc6a13174d31ae9d6789beffbdae60"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a7fcc6a13174d31ae9d6789beffbdae60">makeUnAvailableToUsers</a> ()</td></tr>
<tr class="memdesc:a7fcc6a13174d31ae9d6789beffbdae60"><td class="mdescLeft">&#160;</td><td class="mdescRight">makes this book unavailable to library users <br /></td></tr>
<tr class="separator:a7fcc6a13174d31ae9d6789beffbdae60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac15d2bf0a6b21e9d6996540b1a6242e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac15d2bf0a6b21e9d6996540b1a6242e0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#ac15d2bf0a6b21e9d6996540b1a6242e0">makeAvailableToUsers</a> ()</td></tr>
<tr class="memdesc:ac15d2bf0a6b21e9d6996540b1a6242e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">makes this book available to library users <br /></td></tr>
<tr class="separator:ac15d2bf0a6b21e9d6996540b1a6242e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b19e4877f1e57bc513b5025f983fbe5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a8b19e4877f1e57bc513b5025f983fbe5">returnToLibrary</a> ()</td></tr>
<tr class="separator:a8b19e4877f1e57bc513b5025f983fbe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a872fe6ae841704f27e370e31d1901"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a05a872fe6ae841704f27e370e31d1901">reserve</a> ()</td></tr>
<tr class="separator:a05a872fe6ae841704f27e370e31d1901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cdc9d69b29066a22c3dbfdd902b4d81"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a4cdc9d69b29066a22c3dbfdd902b4d81">isAvailableToUsers</a> () const </td></tr>
<tr class="memdesc:a4cdc9d69b29066a22c3dbfdd902b4d81"><td class="mdescLeft">&#160;</td><td class="mdescRight">find if this book is available to users  <a href="#a4cdc9d69b29066a22c3dbfdd902b4d81">More...</a><br /></td></tr>
<tr class="separator:a4cdc9d69b29066a22c3dbfdd902b4d81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ae9e7c3540adf5d0bb3f2b38f3484fb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a3ae9e7c3540adf5d0bb3f2b38f3484fb">isBookedByUser</a> () const </td></tr>
<tr class="memdesc:a3ae9e7c3540adf5d0bb3f2b38f3484fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">find if this book is bookable by users  <a href="#a3ae9e7c3540adf5d0bb3f2b38f3484fb">More...</a><br /></td></tr>
<tr class="separator:a3ae9e7c3540adf5d0bb3f2b38f3484fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a6c2ae89938f76269e2f93e7ee676f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_book.html">Book</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a26a6c2ae89938f76269e2f93e7ee676f">operator=</a> (const <a class="el" href="class_book.html">Book</a> &amp;b)</td></tr>
<tr class="memdesc:a26a6c2ae89938f76269e2f93e7ee676f"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator = <a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> deep copy of person  <a href="#a26a6c2ae89938f76269e2f93e7ee676f">More...</a><br /></td></tr>
<tr class="separator:a26a6c2ae89938f76269e2f93e7ee676f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab08c02fc82b5c2f9b9a9bef03063598f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#ab08c02fc82b5c2f9b9a9bef03063598f">operator==</a> (const <a class="el" href="class_book.html">Book</a> &amp;other) const </td></tr>
<tr class="memdesc:ab08c02fc82b5c2f9b9a9bef03063598f"><td class="mdescLeft">&#160;</td><td class="mdescRight">equals other item  <a href="#ab08c02fc82b5c2f9b9a9bef03063598f">More...</a><br /></td></tr>
<tr class="separator:ab08c02fc82b5c2f9b9a9bef03063598f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77903c7af788afd234d6cf3f64a02541"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#a77903c7af788afd234d6cf3f64a02541">operator!=</a> (const <a class="el" href="class_book.html">Book</a> &amp;other) const </td></tr>
<tr class="memdesc:a77903c7af788afd234d6cf3f64a02541"><td class="mdescLeft">&#160;</td><td class="mdescRight">compare with other object  <a href="#a77903c7af788afd234d6cf3f64a02541">More...</a><br /></td></tr>
<tr class="separator:a77903c7af788afd234d6cf3f64a02541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_item"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_item')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_item.html">Item</a></td></tr>
<tr class="memitem:a144db4dbae11aa8f2e231cde8646b028 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a144db4dbae11aa8f2e231cde8646b028">Item</a> (const std::string IDCode=0, std::string name=&quot;&quot;, std::string description=&quot;&quot;)</td></tr>
<tr class="memdesc:a144db4dbae11aa8f2e231cde8646b028 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_item.html" title="general item to buy with ID ">Item</a> New item with ID, name and description.  <a href="#a144db4dbae11aa8f2e231cde8646b028">More...</a><br /></td></tr>
<tr class="separator:a144db4dbae11aa8f2e231cde8646b028 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade7e491f0f1fb579f98c28f7079ace05 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#ade7e491f0f1fb579f98c28f7079ace05">Item</a> (const <a class="el" href="class_item.html">Item</a> &amp;i)</td></tr>
<tr class="memdesc:ade7e491f0f1fb579f98c28f7079ace05 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_item.html" title="general item to buy with ID ">Item</a> new item with ID code and default features.  <a href="#ade7e491f0f1fb579f98c28f7079ace05">More...</a><br /></td></tr>
<tr class="separator:ade7e491f0f1fb579f98c28f7079ace05 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bad6384eb6479ea0e1a131054fa1cc7 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a2bad6384eb6479ea0e1a131054fa1cc7">setID</a> (std::string IDCode)</td></tr>
<tr class="memdesc:a2bad6384eb6479ea0e1a131054fa1cc7 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets new ID of item  <a href="#a2bad6384eb6479ea0e1a131054fa1cc7">More...</a><br /></td></tr>
<tr class="separator:a2bad6384eb6479ea0e1a131054fa1cc7 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1df8af319de8f613b85d99118a1e203 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#ad1df8af319de8f613b85d99118a1e203">setName</a> (std::string name)</td></tr>
<tr class="memdesc:ad1df8af319de8f613b85d99118a1e203 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets new name of item  <a href="#ad1df8af319de8f613b85d99118a1e203">More...</a><br /></td></tr>
<tr class="separator:ad1df8af319de8f613b85d99118a1e203 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b987640aafeee80a284861ebedb959 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#ab5b987640aafeee80a284861ebedb959">setDescription</a> (std::string description)</td></tr>
<tr class="memdesc:ab5b987640aafeee80a284861ebedb959 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets new description of item  <a href="#ab5b987640aafeee80a284861ebedb959">More...</a><br /></td></tr>
<tr class="separator:ab5b987640aafeee80a284861ebedb959 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a823b431f468a18e58ee2c808e5642a53 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a823b431f468a18e58ee2c808e5642a53">getID</a> () const </td></tr>
<tr class="memdesc:a823b431f468a18e58ee2c808e5642a53 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets ID code of book  <a href="#a823b431f468a18e58ee2c808e5642a53">More...</a><br /></td></tr>
<tr class="separator:a823b431f468a18e58ee2c808e5642a53 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a116308353701daee0b4fc3e1d0cac104 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a116308353701daee0b4fc3e1d0cac104">getName</a> () const </td></tr>
<tr class="memdesc:a116308353701daee0b4fc3e1d0cac104 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets name  <a href="#a116308353701daee0b4fc3e1d0cac104">More...</a><br /></td></tr>
<tr class="separator:a116308353701daee0b4fc3e1d0cac104 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd1f64b3368b3f7e8cfa808d5d685c08 inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#acd1f64b3368b3f7e8cfa808d5d685c08">getDescription</a> () const </td></tr>
<tr class="memdesc:acd1f64b3368b3f7e8cfa808d5d685c08 inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets description  <a href="#acd1f64b3368b3f7e8cfa808d5d685c08">More...</a><br /></td></tr>
<tr class="separator:acd1f64b3368b3f7e8cfa808d5d685c08 inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934a60e51bd80b2e1d3e0c3952a2fd2e inherit pub_methods_class_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a934a60e51bd80b2e1d3e0c3952a2fd2e">operator==</a> (const <a class="el" href="class_item.html">Item</a> &amp;other) const </td></tr>
<tr class="memdesc:a934a60e51bd80b2e1d3e0c3952a2fd2e inherit pub_methods_class_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">equals other item  <a href="#a934a60e51bd80b2e1d3e0c3952a2fd2e">More...</a><br /></td></tr>
<tr class="separator:a934a60e51bd80b2e1d3e0c3952a2fd2e inherit pub_methods_class_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ae8c42bdbe7ea5ce5e0c4234fc3041f59"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book.html#ae8c42bdbe7ea5ce5e0c4234fc3041f59">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_book.html">Book</a> &amp;book)</td></tr>
<tr class="memdesc:ae8c42bdbe7ea5ce5e0c4234fc3041f59"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#ae8c42bdbe7ea5ce5e0c4234fc3041f59">More...</a><br /></td></tr>
<tr class="separator:ae8c42bdbe7ea5ce5e0c4234fc3041f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="class_library.html" title="model of library with users and books ">Library</a> book with author, ISBN and status. </p>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="abef10101f474f12e17fc49a6eeb5b307"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Book::Book </td>
          <td>(</td>
          <td class="paramtype">const std::string&#160;</td>
          <td class="paramname"><em>isbnCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAvailable</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isBooked</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> new library book with initial status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbnCode</td><td>ISBN code of book </td></tr>
    <tr><td class="paramname">title</td><td>title of book </td></tr>
    <tr><td class="paramname">description</td><td>comment on book </td></tr>
    <tr><td class="paramname">isAvailable</td><td>whether book is available to public </td></tr>
    <tr><td class="paramname">isBookable</td><td>whether book can be reserved by the public</td></tr>
  </table>
  </dd>
</dl>
<p>Copyright {yyyy} Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="a23ddc31c79e18d2349e4ff93b2ea0b8b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Book::Book </td>
          <td>(</td>
          <td class="paramtype">const std::string&#160;</td>
          <td class="paramname"><em>isbnCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> new book with ISBN code and default features. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbnCode</td><td>ISBN code of book </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6f0835cfd79b4ed1e17d9de33973406e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Book::Book </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_book.html">Book</a> &amp;&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> deep copy book. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td>book to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4cdc9d69b29066a22c3dbfdd902b4d81"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Book::isAvailableToUsers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>find if this book is available to users </p>
<dl class="section return"><dt>Returns</dt><dd>true only if it's available to users </dd></dl>

</div>
</div>
<a class="anchor" id="a3ae9e7c3540adf5d0bb3f2b38f3484fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Book::isBookedByUser </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>find if this book is bookable by users </p>
<dl class="section return"><dt>Returns</dt><dd>true only if it's bookable by users </dd></dl>

</div>
</div>
<a class="anchor" id="a77903c7af788afd234d6cf3f64a02541"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Book::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_book.html">Book</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>compare with other object </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the 2 books are different </dd></dl>

</div>
</div>
<a class="anchor" id="a26a6c2ae89938f76269e2f93e7ee676f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_book.html">Book</a> &amp; Book::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_book.html">Book</a> &amp;&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>operator = <a class="el" href="class_book.html" title="Library book with author, ISBN and status. ">Book</a> deep copy of person </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td>book to copy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>deep copy of book </dd></dl>

</div>
</div>
<a class="anchor" id="ab08c02fc82b5c2f9b9a9bef03063598f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Book::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_book.html">Book</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>equals other item </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff 2 items are the same </dd></dl>

</div>
</div>
<a class="anchor" id="a05a872fe6ae841704f27e370e31d1901"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Book::reserve </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reserves this book -&gt; not bookable by other users </p><dl class="section return"><dt>Returns</dt><dd>true iff operation went well </dd></dl>

</div>
</div>
<a class="anchor" id="a8b19e4877f1e57bc513b5025f983fbe5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Book::returnToLibrary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns this book to library so it's bookable by other users </p><dl class="section return"><dt>Returns</dt><dd>true iff operation went well </dd></dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="ae8c42bdbe7ea5ce5e0c4234fc3041f59"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_book.html">Book</a> &amp;&#160;</td>
          <td class="paramname"><em>book</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">book</td><td>object to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>models/Article/Book/<a class="el" href="_book_8h_source.html">Book.h</a></li>
<li>models/Article/Book/Book.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_book.html">Book</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
